#
# Script for building the .app bundle. 
#
# Usage:
#   python buildapp.py build
#
from bundlebuilder import buildapp, Plist

plist = Plist( CFBundleIdentifier = "com.urbanape.zopeeditmanager"
             , CFBundleShortVersionString = "Version 0.9.1"
             , CFBundleGetInfoString = ("ZopeEditManager version 0.9.1, "
                                        "Copyright 2003 Zope Corporation")
             , NSHumanReadableCopyright = "Copyright 2003 Zope Corporation"
             )

buildapp( name = "ZopeEditManager"
        , mainprogram = "__main__.py"
        , resources = [ "Resources/English.lproj"
                      , "Resources/com.urbanape.zopeeditmanager.plist"
                      , "Resources/Files.png"
                      , "Resources/WebDAV.png"
                      , "Resources/HelperApps.png"
                      , "Resources/add_disabled.png"
                      , "Resources/add_idle.png"
                      , "Resources/add_pressed.png"
                      , "Resources/remove_disabled.png"
                      , "Resources/remove_idle.png"
                      , "Resources/remove_pressed.png"
                      ]
        , nibname = "MainMenu"
        , iconfile = "Resources/ZEM.icns"
        , includePackages = ["encodings"]
        , plist = plist
        )
